CC=gcc
SONAME=libIOQMODJNI.11.3.so
PROGNAME=build/lib/$(SONAME)
ODPP_INST=/opt/IBM/ODPP/Images64/rhel

INCLUDES=  -I. -I./src -I/home/bobphill/code/ODPP/Src/Src -I/home/bobphill/code/ODPP/Src/Src/DataCnv -I/home/bobphill/code/ODPP/Src/Src/ODPPHashLib -I$(ODPP_INST)/include

CFLAGS=   -pthread -g -o $(PROGNAME) -Wall -fPIC -m64 -shared -Wl,-soname,$(SONAME) $(INCLUDES) -L$(ODPP_INST)/bin -lODPPOSLibUnix -lODPProvider -lODPPDataCnvLib -lODPPTraceLib -lODPPXMLReaderLib -lODPPLicl -lODPPEnvLib -lODPPICULib -licui18n -licuuc -lODPCCNPrvLib -lODPCOLPrvLib -lODPEMLPrvLib -lODPHASHPrvLib -lODPNIDPrvLib -lODPAGEPrvLib -lODPLKPPrvLib -lODPPErrorHandler -lODPPInstMgr -lODPPParser -lODPPAdapter -lXML4CMessages -lantlr3c -lxml4c -lxml4c-depdom -lc -lpthread -D_SUSE -D_PRINTF_LS -D_INT64_T -D_GNU_SOURCE 
#CFLAGS=   -o $(PROGNAME) -Wall -fPIC -m32 -shared -Wl,-soname,$(SONAME) $(INCLUDES)  -static -lc -D_SUSE -D_PRINTF_LS -D_INT64_T -D_GNU_SOURCE 
#CFLAGS=   $(INCLUDES) -E
SRCS= src/ODPPMODJNI.c

all:
	$(CC) $(CFLAGS) $(SRCS)
	
